Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.pa.generic
Class EnumClausesAbstractor

    java.lang.Object
      escjava.pa.generic.EnumClausesAbstractor

All Implemented Interfaces:
  Abstractor

public class EnumClausesAbstractor
extends java.lang.Object
implements Abstractor

Field Summary
`private mocha.wrappers.jbdd.jbddManager` | `bddManager`
`private java.util.Vector` | `clauses`
`private java.util.Vector` | `enumSizes`
`private boolean` | `noisy`
`private mocha.wrappers.jbdd.jbdd` | `R`
`private int` | `size`

Constructor Summary
`EnumClausesAbstractor(mocha.wrappers.jbdd.jbddManager bddManager)`

Method Summary
`mocha.wrappers.jbdd.jbdd` | `get()`
`java.util.Vector` | `getClauses()`
`private void` | `say(java.lang.String s)`
`boolean` | `union(Prover prover)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noisy

    private boolean noisy

### bddManager

    private mocha.wrappers.jbdd.jbddManager bddManager

### R

    private mocha.wrappers.jbdd.jbdd R

### clauses

    private java.util.Vector clauses

### enumSizes

    private java.util.Vector enumSizes

### size

    private int size

Constructor Detail

### EnumClausesAbstractor

    public EnumClausesAbstractor(mocha.wrappers.jbdd.jbddManager bddManager)

Method Detail

### get

    public mocha.wrappers.jbdd.jbdd get()

  Specified by:
    `get` in interface `Abstractor`

### getClauses

    public java.util.Vector getClauses()

  Specified by:
    `getClauses` in interface `Abstractor`

### union

    public boolean union(Prover prover)

  Specified by:
    `union` in interface `Abstractor`

### say

    private void say(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage